Bug 13704 - samba default smb.conf issues
samba default smb.conf issues
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-11 08:30 EDT by giulioo
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-17 05:53:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description giulioo 2000-07-11 08:30:15 EDT
1) Printing
Since rh70 has LPRng I think you should use
printing = lprng
instead of
;   printing = bsd


2) Not up-to-date comments
# Use password server option only with security = server
;   password server = <NT-Server-Name>

This is not true, you have to use that directive with security = domain 
too. If you use "security = domain" you can even use "password server = *".

3) Obsolete comments
;   domain controller = <NT-Domain-Controller-SMBName>
this directive is obsolete/deprecated. Should neve be used.
I suggest you take it out of the smb.conf file.


4) logon pqath
# Where to store roving profiles (only for Win95 and WinNT)
#        %L substitutes for this servers netbios name, %U is username
#        You must uncomment the [Profiles] share below
;   logon path = \\%L\Profiles\%U

Since 2.0.6 samba doesn't send anymore what you put in "logon path" to 
win9x machines, win9x only sees "logon home".
See 2.0.7 release notes and updated DOMAIN.txt

Now win9x machines can only put profiles in the homedir, like they can do 
in an nt4 domain.
So you can
logon home = \\%L\%U\
or
logon home = \\%L\%U\<directory>, ie:
logon home = \\%L\%U\.profile  (hidden)

"net use h: /home" will work now.

If you want backward compatibility you need
logon home = /some/path/outside/homedir
you get the old behavior, and "net use  /home" doesn't work as before.
I think this should be considered deprecated and not mentioned.


5)
"writable" has no effect on printer shares.
Comment 1 Bill Nottingham 2000-07-15 14:42:18 EDT
Fixed in samba-2.0.7-16; thanks for the feedback!
Comment 2 giulioo 2001-07-17 05:53:37 EDT
Point #3 and #4 are still there in beta2/rawhide/2.2.1-1

One more thing

6)
# Enable this if you want Samba to be a domain logon server for
# Windows95 workstations.
;   domain logons = yes

AFAIK this is not just for win95, but for all win (9x, nt, 2k, ..)
Comment 3 Trond Eivind Glomsrxd 2001-08-08 22:34:01 EDT
I've removed domain controller. Roving profiles is still there, as an identical
section is still in smb.conf.default as shipped with samba.

I've updated the text referring to Win95 as well.

The changes should appear in samba 2.2.1a-3
Comment 4 giulioo 2001-08-09 03:49:29 EDT
>Roving profiles is still there, as an identical
>section is still in smb.conf.default as shipped with samba.

Ok, you are the one that will support this :-)
However, have a look at what samba team writes in "man smb.conf" (logon path) 
and Samba-Howto-Collection.pdf (8.8.2.1 8.8.2.2) about this issue...


Note You need to log in before you can comment on or make changes to this bug.